function C2p29_PSET3_20p19

%%
% ********************************************************************
% Course Homework
%               2.29: Numerical Fluid Mechanincs, Spring 2007
% Problem Set #3, Problem #3, Textbook Problem #20.19
% 04/10/07
% ********************************************************************
% Reza Karimi:
%                            Graduate Student
%                    Mechanical Engineering Department
%                  Massachusetts Institute of Technology
% Email:  rkarimi@mit.edu
% Office: NE47-319, 500 Technology Square, Cambridge, MA 02139
% Phone: (617) 324-7605
% ********************************************************************

%%
close all, clc, clear all

gama_dot=[0.91 3.3 4.1 6.3 9.6 23 36 49 65  105 126 215 315 402];
tau=[ 0.059 .15 0.19 .27 .39 .87 1.33 1.65 2.11 3.44 4.12  7.02  10.21 13.01];

x=gama_dot.^0.5;
y=tau.^0.5;

x_c=x(1:7);
y_c=y(1:7);
n_c=7;

x_n=x(10:end);
y_n=y(10:end);

m_c=(n_c*sum(x_c.*y_c)-sum(x_c)*sum(y_c))/(n_c*sum(x_c.^2)-sum(x_c)^2);
b_c=1/n_c*(sum(y_c)-m_c*sum(x_c));

m_n=sum(x_n.*y_n)/sum(x_n.^2);

St_c=sum((y_c-mean(y_c)).^2);
Sr_c=sum((y_c-(x_c*m_c+b_c)).^2);
r_c=(1-Sr_c/St_c)^.5;

St_n=sum((y_n-mean(y_n)).^2);
Sr_n=sum((y_n-(x_n*m_n)).^2);
r_n=(1-Sr_n/St_n)^.5;

fprintf('\n \t Casson Region');
fprintf('\n tau_y==%5.5f (N/m^2) \t\t Kc=%5.5f (N.sec/m^2)^0.5 \t\t\t r=%6.6f',b_c^2,m_c,r_c);
fprintf('\n\n \t Newton Region');
fprintf('\n mu==%5.5f (N.sec/m^2) \t\t\t r=%6.6f',m_n^2,r_n);
fprintf('\n');

%%
figure
plot(x,y,'k*','markersize',4), hold on
Y_n=m_n*x;
Y_c=m_c*x+b_c;

plot(x(1:7),Y_c(1:7),'b') 
plot(x(9:end),Y_n(9:end),'r')

plot(x(7:end),Y_c(7:end),'b-.')
plot(x(1:9),Y_n(1:9),'r-.')

legend('Data Point','Casson Fit','Newton Fit')
xlabel('$\sqrt{\gamma^\circ}$','Interpreter','latex','fontsize',14,'FontAngle','italic','FontWeight','bold','FontName','Times New Roman')
ylabel('$\sqrt{\tau}$','Interpreter','latex','fontsize',14,'FontAngle','italic','FontWeight','bold','FontName','Times New Roman')
title (['Problem 20.19'],'Interpreter','latex',...
    'fontsize',16,'FontAngle','italic','FontWeight','bold','FontName','Times New Roman')

set(gcf,'Position',[50 50 [25 25]*30],'color','w'),set(gca,'fontsize',14)
box on, grid on
axis([0 15 0 3])


